# List_All_Custom_Fields_For_Customer

Retrieve all custom-fields associated with a customer.

`GET /v2/customers/{id}/custom-fields`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/List_All_Custom_Fields_For_Customer/

## Description

Retrieve all custom-fields, and their data points, associated with a customer.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerCustomField` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerCustomField`

Customer Custom Fields

| Property | Type | Required | Description |
|---|---|---|---|
| `client_id` | integer | No | The internal id of the client Example: `4`. |
| `field_name` | string | No | The field name of the custom field. Example: `custom_field_test`. |
| `gencert_lock` | boolean | No |  Example: `false`. |
| `id` | integer | No | System Generated Record ID Example: `1`. |
| `is_editable` | boolean | No | Indicates if the custom field can be edited. Example: `false`. |
| `system_code` | boolean | No | Indicates if the custom field is a system code. Example: `false`. |
| `type` | string | No | The type of custom field. Values: `text`, `select`, `multi-select`, `boolean`. |
| `uses_gencert` | boolean | No | Indicates if the custom field will be included in gencert. Example: `false`. |
| `value` | string | No | The value of the custom field. Example: `Customer is in group A.`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/custom-fields" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```